/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2001.  All Rights Reserved.
 *
 * Protege-2000 was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu
 *
 * Contributor(s):
 */

package edu.stanford.smi.protege.model;

/**
 * 
 * @author Ray Fergerson <fergerson@smi.stanford.edu>
 */
public interface FrameCounts {
    public abstract int getSystemClsCount();
    public abstract int getSystemSlotCount();
    public abstract int getSystemFacetCount();
    public abstract int getSystemSimpleInstanceCount();
    public abstract int getSystemFrameCount();
    public abstract int getIncludedClsCount();
    public abstract int getIncludedSlotCount();
    public abstract int getIncludedFacetCount();
    public abstract int getIncludedSimpleInstanceCount();
    public abstract int getIncludedFrameCount();
    public abstract int getDirectClsCount();
    public abstract int getDirectSlotCount();
    public abstract int getDirectFacetCount();
    public abstract int getDirectSimpleInstanceCount();
    public abstract int getDirectFrameCount();
    public abstract int getTotalClsCount();
    public abstract int getTotalSlotCount();
    public abstract int getTotalFacetCount();
    public abstract int getTotalSimpleInstanceCount();
    public abstract int getTotalFrameCount();
}