/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2001.  All Rights Reserved.
 *
 * Protege-2000 was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu
 *
 * Contributor(s):
 */

package edu.stanford.smi.protege.resource;

/**
 * 
 * @author Ray Fergerson <fergerson@smi.stanford.edu>
 */
public final class LocalizedText {
    private static BundleHelper helper;

    static {
        helper = new BundleHelper("protege_text", LocalizedText.class);
        if (!helper.isValid()) {
            helper = new BundleHelper("edu.stanford.smi.protege.resource.files.protege_text", LocalizedText.class);
        }
    }

    private static String getText(String key) {
        return helper.getText(key);
    }

    private static String getText(String key, String replacement) {
        return helper.getText(key, replacement);
    }

    public static String getProjectMenu() {
        return getText("menu.project");
    }

    public static String getNewProject() {
        return getText("project.new");
    }

    public static String getOpenProject() {
        return getText("project.open");
    }

    public static String getOpenRecentProject() {
        return getText("project.open.recent");
    }

    public static String getOpenRemoteProject() {
        return getText("project.open.remote");
    }

    public static String getSaveProject() {
        return getText("project.save");
    }

    public static String getSaveAsProject() {
        return getText("project.save.as");
    }

    public static String getArchiveProject() {
        return getText("project.archive");
    }

    public static String getArchiveCurrentProject() {
        return getText("project.current.archive");
    }

    public static String getRevertToPreviousProject() {
        return getText("project.previous.revert");
    }

    public static String getConfigureArchive() {
        return getText("project.archive.configure");
    }

    public static String getCloseProject() {
        return getText("project.close");
    }

    public static String getBuildProject() {
        return getText("project.build");
    }

    public static String getImportProject() {
        return getText("project.import");
    }

    public static String getProjectMenuExport() {
        return getText("project.export");
    }

    public static String getProjectMenuConvert() {
        return getText("project.convert");
    }

    public static String getProjectMenuInclude() {
        return getText("project.include");
    }

    public static String getProjectMenuChangeIncluded() {
        return getText("project.included.change");
    }

    public static String getProjectMenuShowIncluded() {
        return getText("project.included.show");
    }

    public static String getProjectMenuMergeIncluded() {
        return getText("project.included.merge");
    }

    public static String getProjectMenuConfigure() {
        return getText("project.configure");
    }

    public static String getProjectMenuMetrics() {
        return getText("project.metrics");
    }

    public static String getProjectMenuGenerateHtml() {
        return getText("project.html.generate");
    }

    public static String getProjectMenuExit() {
        return getText("application.exit", Text.getProgramName());
    }
}
