/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2001.  All Rights Reserved.
 *
 * Protege-2000 was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu
 *
 * Contributor(s):
 */

package edu.stanford.smi.protege.storage.clips;

import java.awt.*;

import javax.swing.*;

import edu.stanford.smi.protege.util.*;

/**
 * 
 * @author Ray Fergerson <fergerson@smi.stanford.edu>
 */
public class ClipsFilePanel extends JComponent {
    private FileField clsesFileField;
    private FileField instancesFileField;

    public ClipsFilePanel() {
        createComponents();
        layoutComponents();
    }
    private void createComponents() {
        clsesFileField = new FileField("Classes File", null, ".pont", "Classes File");
        instancesFileField = new FileField("Instances File", null, ".pins", "Instances File");
    }

    private void layoutComponents() {
        setLayout(new BorderLayout());
        JPanel panel = new JPanel(new GridLayout(2, 0));
        panel.add(clsesFileField);
        panel.add(instancesFileField);
        add(panel, BorderLayout.NORTH);
    }

    public String getClsesFileName() {
        return clsesFileField.getPath();
    }

    public String getInstancesFileName() {
        return instancesFileField.getPath();
    }
}
